"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../../hooks/use-namespace/index.js");
const constants = require("../constants.js");
const basicCell = require("../props/basic-cell.js");
const Vue = require("vue");
var basic_cell_render_default = /* @__PURE__ */ Vue.defineComponent({
  name: "ElDatePickerCell",
  props: basicCell.basicCellProps,
  setup(props) {
    const ns = index.useNamespace("date-table-cell");
    const { slots } = Vue.inject(constants.ROOT_PICKER_INJECTION_KEY);
    return () => {
      const { cell } = props;
      return Vue.renderSlot(slots, "default", { ...cell }, () => [Vue.createVNode("div", { "class": ns.b() }, [Vue.createVNode("span", { "class": ns.e("text") }, [(cell == null ? void 0 : cell.renderText) ?? (cell == null ? void 0 : cell.text)])])]);
    };
  }
});
exports.default = basic_cell_render_default;
